Skip to main content
GET
/
earning_line_items
/
{earning_line_item}
Retrieve an earning line item
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/earning_line_items/{earning_line_item} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<id>",
  "object": "earning_line_item",
  "data": {
    "pay_stub": {
      "id": "<id>",
      "object": "pay_stub",
      "links": {
        "self": "/pay_stubs/<id>"
      }
    },
    "amount": 3000,
    "custom_amount": 3000,
    "managed_amount": 0,
    "is_managed": false,
    "line_item_type": "earning",
    "earning_type": {
      "id": "<id>",
      "object": "earning_type",
      "data": {
        "type": "wage",
        "label": "Wage",
        "supported_payroll_types": {
          "regular": true,
          "historical": true,
          "off_cycle": true
        }
      },
      "links": {
        "self": "/earning_types/wage"
      }
    },
    "hours": 0,
    "managed_hours": null,
    "custom_hours": 0,
    "accrued_vacation_pay": 0,
    "recurrence": null,
    "pay_rate": null,
    "overtime_rate": null,
    "title": null,
    "title_translations": null,
    "title_translated": null,
    "expense_accounting_code": null,
    "managed_expense_accounting_code": null,
    "custom_expense_accounting_code": null,
    "liability_accounting_code": null,
    "managed_liability_accounting_code": null,
    "custom_liability_accounting_code": null,
    "business_preset": null,
    "source_adjustment": null,
    "component_settings": {
      "attributes_locked": false
    },
    "earned_on": null,
    "managed_earned_on": null,
    "custom_earned_on": null,
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/earning_line_items/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

earning_line_item
string
required

Query Parameters

expand
enum<string>[]
Available options:
business_preset,
custom_expense_accounting_code,
custom_liability_accounting_code,
custom_tag_assignment,
expense_accounting_code,
liability_accounting_code,
managed_expense_accounting_code,
managed_liability_accounting_code,
managed_tag_assignment,
overtime_rate,
pay_rate,
pay_stub,
recurrence,
source_adjustment,
tag_assignment,
tag_assignment_amounts

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("earning_line_item").

data
Default · object